WinCrypt.CERT_CHAIN_POLICY_STATUS (JNA API)

com.sun.jna.platform.win32

## Class WinCrypt.CERT_CHAIN_POLICY_STATUS

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinCrypt.CERT_CHAIN_POLICY_STATUS

- Direct Known Subclasses:
    WinCrypt.CERT_CHAIN_POLICY_STATUS.ByReference
  Enclosing interface:
    WinCrypt

      @Structure.FieldOrder(value={"cbSize","dwError","lChainIndex","lElementIndex","pvExtraPolicyStatus"})
      public static class WinCrypt.CERT_CHAIN_POLICY_STATUS
      extends Structure

  The CERT_CHAIN_POLICY_STATUS structure holds certificate chain status information returned by the CertVerifyCertificateChainPolicy function when the certificate chains are validated.
  See Also:
    MSDN

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `WinCrypt.CERT_CHAIN_POLICY_STATUS.ByReference`

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `cbSize`
    `int` | `dwError`
    `int` | `lChainIndex`
    `int` | `lElementIndex`
    `Pointer` | `pvExtraPolicyStatus`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CERT_CHAIN_POLICY_STATUS()`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### cbSize

          public int cbSize

    - #### dwError

          public int dwError

    - #### lChainIndex

          public int lChainIndex

    - #### lElementIndex

          public int lElementIndex

    - #### pvExtraPolicyStatus

          public Pointer pvExtraPolicyStatus

  - ### Constructor Detail

    - #### CERT_CHAIN_POLICY_STATUS

          public CERT_CHAIN_POLICY_STATUS()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.